Last Comment Bug 389953 - [BEOS] BeOS should build components with -Bsymbolic
: [BEOS] BeOS should build components with -Bsymbolic
Status: RESOLVED FIXED
: verified1.8.1.8
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: Other BeOS
: -- normal (vote)
: ---
Assigned To: Doug Shelton
: tqh
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-28 08:30 PDT by tqh
Modified: 2007-10-19 10:06 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
add -Bsymbolic, and remove weird BeOS-comment (1.8 branch) (736 bytes, patch)
2007-07-28 08:40 PDT, tqh
benjamin: review+
dveditz: approval1.8.1.8+
Details | Diff | Splinter Review

Description tqh 2007-07-28 08:30:25 PDT
Why:
-Bsymbolic causes the linker to resolve as many symbols as possible at
link time, so references from a class to its indirection table (for
example) are not resolved to a separate shared object.  This has the
additional advantage of making loading faster.

Linux does this already, and now that I tested building with it I want it ASAP.
Comment 1 tqh 2007-07-28 08:40:49 PDT
Created attachment 274284 [details] [diff] [review]
add -Bsymbolic, and remove weird BeOS-comment (1.8 branch)
Comment 2 tqh 2007-07-28 08:53:51 PDT
Comment on attachment 274284 [details] [diff] [review]
add -Bsymbolic, and remove weird BeOS-comment (1.8 branch)

r?
Simple change most other platforms have this so review should be no-brainer.
Would like this checked in on 1.8 branch as well as trunk. What needs to be done?
Comment 3 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2007-07-30 10:38:26 PDT
Comment on attachment 274284 [details] [diff] [review]
add -Bsymbolic, and remove weird BeOS-comment (1.8 branch)

To request approval for the 1.8.1 branch, set "approval1.8.1.7?".
Comment 4 Doug Shelton 2007-08-01 13:44:30 PDT
I've successfully applied the patch and built Firefox 2.0.0.7pre (1.8.1.7) and can see no regressions.  
Comment 5 Doug Shelton 2007-08-12 08:02:05 PDT
Any chance of 1.8.1.7 as requested?
Comment 6 Daniel Veditz [:dveditz] 2007-08-29 15:53:16 PDT
Comment on attachment 274284 [details] [diff] [review]
add -Bsymbolic, and remove weird BeOS-comment (1.8 branch)

approved for 1.8.1.7, a=dveditz for release-drivers
Comment 7 Doug Shelton 2007-08-29 17:10:11 PDT
thank you, Daniel!  Sergei, do you have the ability to commit this change?
Comment 8 Sergei Dolgov 2007-09-01 03:25:35 PDT
Will try ASAP (this weekend probably)
Comment 9 Sergei Dolgov 2007-09-01 03:31:51 PDT
Checking in mozilla/config/rules.mk;
/cvsroot/mozilla/config/rules.mk,v  <--  rules.mk
new revision: 3.487.2.8; previous revision: 3.487.2.7
done 
Comment 10 tqh 2007-09-01 06:15:01 PDT
Sergei, was that on trunk? I'd like it in the branch for Firefox 2.0.0.7, so we can release a kick ass version of it :)

Can't see it on either branch in LXR yet though...
Comment 11 Sergei Dolgov 2007-09-01 06:57:07 PDT
2 tqh
both checkout and checkin command lines included -r MOZILLA_1_8_BRANCH (though, for ci it is not needed AFAIK after proper co).
LXR and anonymous cvs-mirrors may lag.
Will see tomorrow, if I made some big mistake or you are bit impatient:)
Comment 12 Doug Shelton 2007-09-01 20:55:07 PDT
I updated using the branch tag today - the checkin was in the branch.  Thanks, Sergei!  tqh, I think you can mark the status as "fixed". Thanks for this great build change.
Comment 13 tqh 2007-09-02 06:29:04 PDT
I think we should land it on trunk as well.
Comment 14 Doug Shelton 2007-09-02 09:22:19 PDT
(In reply to comment #13)
> I think we should land it on trunk as well.
> 
A good idea, just in case anyone overcomes all the dependency problems and manages to get a working trunk build someday.
Comment 15 juan becerra [:juanb] 2007-10-13 11:25:42 PDT
tqh, can you help us verify this fix in FF 2008rc2? 
Comment 16 Doug Shelton 2007-10-19 08:16:21 PDT
(In reply to comment #15)
> tqh, can you help us verify this fix in FF 2008rc2? 
> 
I can verify the fix is in 2.0.0.8 and working.  Thanks, juan!
Comment 17 juan becerra [:juanb] 2007-10-19 10:06:21 PDT
Thanks Doug.

Changing keyword to verified1.8.1.8

Note You need to log in before you can comment on or make changes to this bug.